> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memorylake.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 删除文档

> 从项目中移除一个或多个文档

```
DELETE /openapi/memorylake/api/v3/workspaces/{workspaceId}/projects/{projectId}/memories/documents
```

从项目中移除文档。文件库中的原始文件不受影响——仅删除项目引用和所有提取的内容。

<Note>
  **所需权限：** `project:doc_delete`
</Note>

<Warning>
  此操作不可逆。从已删除文档中索引的所有内容和衍生的记忆将从项目中永久移除。
</Warning>

### 路径参数

<ParamField path="workspaceId" type="string" required>
  拥有该项目的工作空间 ID。
</ParamField>

<ParamField path="projectId" type="string" required>
  要从中删除文档的项目。
</ParamField>

### 请求体

<ParamField body="ids" type="string[]" required>
  要删除的文档 ID 数组。
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE 'https://app.memorylake.cn/openapi/memorylake/api/v3/workspaces/ws-a1b2c3d4e5f6/projects/proj-7g8h9i0j1k2l/memories/documents' \
    -H 'Authorization: Bearer sk_xxxxxx' \
    -H 'Content-Type: application/json' \
    -d '{
      "ids": [
        "doc-3m4n5o6p7q8r",
        "doc-8s9t0u1v2w3x"
      ]
    }'
  ```
</RequestExample>

### 响应

成功时返回空的 `data` 对象。

<ResponseExample>
  ```json Success (200) theme={null}
  {
    "success": true,
    "data": {}
  }
  ```
</ResponseExample>
